<div class="row">
    <div class="col-md-12">
        <button data-toggle="modal" data-target="#addNewDesignation" type="button" class="btn btn-sm btn-custom mb-3"
            data-backdrop="static" data-keyboard="false" (click)="createNewDesignationForm()">New Designation</button>
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>Sr. No</th>
                        <th>Designation</th>
                        <th>Role</th>
                        <th>Added by</th>
                        <th>Added On</th>
                        <th>Actions</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let des of designations | paginate: { itemsPerPage: 10, currentPage: p }">
                        <td>{{des.designation_id}}</td>
                        <td>{{des.designation}}</td>
                        <td>{{des.role}}</td>
                        <td>{{des.created_by}}</td>
                        <td>{{des.created_on}}</td>
                        <td>
                            <span><a [routerLink]="" data-toggle="modal" data-target="#viewDesignation"
                                    (click)="viewDesignation(des)"><i class="fa fa-eye mr-2"
                                        aria-hidden="true"></i></a></span>
                            <span><a [routerLink]="" data-toggle="modal" data-target="#addNewDesignation"
                                    (click)="editDesignation(des)"><i class="fa fa-edit mr-2"
                                        aria-hidden="true"></i></a></span>
                            <!--<span>
                                <a mwlConfirmationPopover [popoverTitle]="popoverTitle"
                                    [popoverMessage]="popoverMessage" placement="bottom"
                                    (confirm)="deleteDesignation(des.designation_id)" (cancel)="cancelClicked = true"><i
                                        class="fa fa-trash text-danger mr-2" aria-hidden="true"></i>
                                </a>
                            </span>-->
                        </td>
                    </tr>
                    <tr *ngIf="designations==''">
                        <td colspan="6" class="text-center">No Record Founds</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row d-flex justify-content-center">
            <pagination-controls *ngIf="designations!=''" class="my-pagination" (pageChange)="p = $event">
            </pagination-controls>
        </div>
    </div>
</div>


<!-----------Add New Designation Form Modal------------------------>
<div id="addNewDesignation" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Add New Designation</h6>
                <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorEditDesignation()" [formGroup]="NewDesignationForm">
                    <div class="form-group row">
                        <div class="col-sm-12 mb-3">
                            <label>Designation Title:</label>
                            <input formControlName="designation" type="text" class="form-control form-control-user"
                                id="designation">
                            <div *ngIf="submitted && formControls.designation.errors" class="errors">
                                <div *ngIf="formControls.designation.errors.required">Designation Title is required
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12 mb-3">
                            <label>Assign Role:</label>
                            <select formControlName="user_role" class="form-control dropdown">
                                <option *ngFor="let r of roles;" value="{{r.id}}">{{r.role}}</option>
                            </select>
                            <div *ngIf="submitted && formControls.user_role.errors" class="errors">
                                <div *ngIf="formControls.user_role.errors.required">Role is required</div>
                            </div>
                        </div>
                        <div class="col-sm-12 mb-3">
                            <label>Description:</label>
                            <textarea formControlName="description" class="form-control form-control-user"
                                id="description"></textarea>
                            <div *ngIf="submitted && formControls.description.errors" class="errors">
                                <div *ngIf="formControls.description.errors.required">Description required</div>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3">
                        </div>
                        <div class="col-sm-4 mb-3">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>

                </form>
            </div>
        </div>

    </div>
</div>

<!-----------View Designation Modal------------------------>
<div id="viewDesignation" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title text-center" *ngIf="selected_designation!=''">
                    {{selected_designation.designation}}</h6>
                <button #closeBtn2 type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <div class="row" *ngIf="selected_designation.description">
                    <b>Description</b>
                    <div class="col-md-12">
                        {{selected_designation.description}}
                    </div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-md-3">
                        <p>Added By:</p>
                    </div>
                    <div class="col-md-9">
                        {{selected_designation.created_by}}
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        <p>Added On</p>
                    </div>
                    <div class="col-md-9">
                        {{selected_designation.created_on}}
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>